curl --request PUT \
--url https://crypto.westminister.tech/api/v1/auth/user/id/{id}/password \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"password": "secret"
}
'{
"id": "8d09359f-325a-4ecf-998d-dbe5eda3a498",
"email": "michael.ochieng@gmail.com",
"phone_number": "+254708374149",
"first_name": "Michael",
"last_name": "Juma",
"role": "customer",
"kyc_status": "pending"
}Updates the password for the specified user ID.
curl --request PUT \
--url https://crypto.westminister.tech/api/v1/auth/user/id/{id}/password \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"password": "secret"
}
'{
"id": "8d09359f-325a-4ecf-998d-dbe5eda3a498",
"email": "michael.ochieng@gmail.com",
"phone_number": "+254708374149",
"first_name": "Michael",
"last_name": "Juma",
"role": "customer",
"kyc_status": "pending"
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
User ID (UUID).
New password (min 6 chars).